Interface StreamSubscriptionClient<T>
- All Superinterfaces:
Pageable<T>, PageablePost<T>
- All Known Implementing Classes:
StreamSubscriptionClientImpl
-
Method Summary
Modifier and TypeMethodDescriptioncreate(String streamId, StreamSubscriptionCreatorJson streamSubscriptionCreatorJson) search(FilterPropertyList filter, SortPropertyList sort) POST /fabric/v4/streamSubscriptions/search.update(String streamId, String uuid, StreamSubscriptionCreatorJson streamSubscriptionCreatorJson) Methods inherited from interface PageablePost
nextPageModifier and TypeMethodDescriptionnextPage(PaginatedPostRequest<T> equinixRequest) Fetches the next page for the given POST-search request (its body's pagination has already been advanced by the paging pipeline).
-
Method Details
-
list
-
getByUuid
-
create
StreamSubscriptionJson create(String streamId, StreamSubscriptionCreatorJson streamSubscriptionCreatorJson) -
update
StreamSubscriptionJson update(String streamId, String uuid, StreamSubscriptionCreatorJson streamSubscriptionCreatorJson) -
delete
-
refresh
-
search
POST /fabric/v4/streamSubscriptions/search.- Parameters:
filter- the filter (required by the spec)sort- the sort, ornull- Returns:
- the first page
-